Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/UpdateCorpusImagePaths.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/UpdateCorpusImagePaths.java	(revision 1037)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/UpdateCorpusImagePaths.java	(revision 1038)
@@ -15,7 +15,7 @@
 	
 	public boolean process(MainCorpus corpus, String newpathprefix) throws CqiClientException, IOException, CqiServerError, XMLStreamException {
 
-		File binDir = corpus.getBaseDirectory();
+		File binDir = corpus.getProjectDirectory();
 		File htmlDir = new File(binDir, "HTML");
 		if (!htmlDir.exists()) {
 			System.out.println("Error: no html directory: "+htmlDir);
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 1037)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 1038)
@@ -35,7 +35,7 @@
 	 * @return
 	 */
 	public static HashMap<String, Object> getInitialisationProperties(Class clazz, MainCorpus corpus) {
-		String path = corpus.getBaseDirectory().getAbsolutePath()+"/temporary_annotations/db";
+		String path = corpus.getProjectDirectory().getAbsolutePath()+"/temporary_annotations/db";
 		
 		HashMap<String, Object> properties = new HashMap<String, Object>();
 		//System.out.println("CLASSLOADER: "+Toolbox.class.getClassLoader());
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 1037)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 1038)
@@ -10,7 +10,7 @@
 import org.txm.annotation.kr.core.repository.KnowledgeRepository;
 import org.txm.annotation.kr.core.repository.KnowledgeRepositoryManager;
 import org.txm.annotation.kr.core.repository.SQLKnowledgeRepository;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.objects.BaseParameters;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -210,9 +210,9 @@
 	 */
 	public static List<String> getKnowledgeRepositoryNames(Corpus corpus) {
 		if (corpus == null) return new ArrayList<String>();
-		Base base = corpus.getBase();
+		Project base = corpus.getProject();
 		if (base == null) return new ArrayList<String>();
-		BaseParameters params = base.getBaseParameters();
+		BaseParameters params = base.getProjectParameters();
 		return getKnowledgeRepositoryNames(params);
 	}
 	
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java	(revision 1037)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java	(revision 1038)
@@ -154,7 +154,7 @@
 			}
 		}
 
-		BaseParameters bp = corpus.getBase().getBaseParameters();
+		BaseParameters bp = corpus.getProject().getProjectParameters();
 		Element krCorpusElement = KRAnnotationEngine.getKnowledgeRepositoryElement(bp, name);
 		if (krCorpusElement == null) krCorpusElement = KRAnnotationEngine.createKnowledgeRepositoryElement(bp, name);
 		String sKRCorpusVersion = krCorpusElement.getAttribute("version");
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 1037)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 1038)
@@ -50,7 +50,7 @@
 	}
 
 	public boolean process(MainCorpus corpus) throws XMLStreamException, IOException {
-		File binaryCorpusDirectory = corpus.getBaseDirectory();
+		File binaryCorpusDirectory = corpus.getProjectDirectory();
 		File txmDirectory = new File(binaryCorpusDirectory, "txm");
 		if (!txmDirectory.exists()) {
 			System.out.println("'txm' directory not found in "+binaryCorpusDirectory.getAbsolutePath());
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1037)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1038)
@@ -98,7 +98,7 @@
 			return false;
 		}
 		
-		File inputDirectory = corpus.getBaseDirectory();
+		File inputDirectory = corpus.getProjectDirectory();
 		File corpusTxmDirectory = new File(inputDirectory, "txm/"+corpus.getName());
 		
 		System.out.println("Writing annotations XML files in "+resultDirectory);
@@ -140,7 +140,7 @@
 		int[] start_limits = corpus.getTextStartLimits();
 		List<String> textsIds = corpus.getTextsID();
 
-		File inputDirectory = corpus.getBaseDirectory();
+		File inputDirectory = corpus.getProjectDirectory();
 		File txmDirectory = new File(inputDirectory, "txm/"+corpus.getName());
 
 		ArrayList<Annotation> textAnnotations = new ArrayList<Annotation>();
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1038)
@@ -587,7 +587,7 @@
 			return false;
 		}
 
-		File workspaceFile = new File(txmhomedir, "workspaces/default.xml");
+		File workspaceFile = new File(txmhomedir, "corpora/default.xml");
 		Version currentVersion = BundleUtils.getBundleVersion("org.txm.core");
 		Log.info("Current toolbox version: " + currentVersion + ".");
 		String installedVersionString = getPreference(TBXPreferences.VERSION);
@@ -638,7 +638,7 @@
 			Log.info(TXMCoreMessages.Toolbox_12 + workspaceFile); 
 			state = true;
 
-			if (workspace == null || workspace.getProject("default") == null) { //$NON-NLS-1$
+			if (workspace == null) { //$NON-NLS-1$
 				Log.severe(TXMCoreMessages.Toolbox_14 + workspaceFile); 
 				state = false;
 				//System.out.println(TXMCoreMessages.FAILED);
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1038)
@@ -86,7 +86,7 @@
 		
 //		//FIXME: USE osgi.instance.area later & done in ApplicationWorkbenchAdvisor
 //		preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")+"/TXM");
-		preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")); //$NON-NLS-1$
+	//	preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")); //$NON-NLS-1$
 		
 		preferences.putBoolean(TBXPreferences.EXPERT_USER, false); //$NON-NLS-1$
 		
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1038)
@@ -22,7 +22,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.utils.logger.Log;
 
 // FIXME: At this moment, an empty list is created for children, to not return
@@ -1283,10 +1283,10 @@
 	 * @param type
 	 * @return null if the TXMResult is not attached to a BinaryCorpus
 	 */
-	synchronized public Base getBinaryCorpus() {
-		Object o = getFirstParent(Base.class);
+	synchronized public Project getBinaryCorpus() {
+		Object o = getFirstParent(Project.class);
 		if (o != null) {
-			return (Base)o;
+			return (Project)o;
 		} else {
 			return null;
 		}
Index: tmp/org.txm.core/src/java/org/txm/objects/Alignement.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Alignement.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/Alignement.java	(revision 1038)
@@ -16,7 +16,7 @@
 	String from, to , struct;
 	int level;
 	
-	public Alignement(Base base, String from2, String to2, String struct2, int level2) {
+	public Alignement(Project base, String from2, String to2, String struct2, int level2) {
 		super(base);
 		from = from2;
 		to = to2;
Index: tmp/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 1038)
@@ -300,7 +300,7 @@
 	public File getHtmlDir() {
 		if (defaultHtmlDir == null) {
 			String corpusname = getText().getCorpus().getName();
-			File binDir = getText().getCorpus().getBase().params.paramFile.getParentFile();
+			File binDir = getText().getCorpus().getProject().params.paramFile.getParentFile();
 			defaultHtmlDir = new File(binDir, "HTML/"+corpusname+"/"+getName()); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		return defaultHtmlDir;
Index: tmp/org.txm.core/src/java/org/txm/objects/BasePreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/BasePreferences.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/BasePreferences.java	(revision 1038)
@@ -11,7 +11,7 @@
  */
 public class BasePreferences extends EclipsePreferences {
 	
-	public BasePreferences(Base base) {
+	public BasePreferences(Project base) {
 		super(null, "TXMCORPUS-"+base.getName());
 		PreferencesService.getDefault();
 	}
Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1038)
@@ -33,11 +33,13 @@
 import java.io.IOException;
 import java.io.OutputStreamWriter;
 import java.io.Writer;
+import java.util.ArrayList;
 import java.util.Collection;
 import java.util.HashMap;
 
 import javax.xml.parsers.DocumentBuilder;
 import javax.xml.parsers.DocumentBuilderFactory;
+import javax.xml.parsers.ParserConfigurationException;
 import javax.xml.transform.OutputKeys;
 import javax.xml.transform.Result;
 import javax.xml.transform.Source;
@@ -62,6 +64,7 @@
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
+import org.xml.sax.SAXException;
 
 /**
  * The Class Workspace: manages the TXM corpora in the $TXMHOME/corpora directory
@@ -71,11 +74,9 @@
 	/** The Constant serialVersionUID. */
 	private static final long serialVersionUID = -8059395782871546280L;
 
-	/** The bases. */
-	HashMap<String, Base> bases = new HashMap<String, Base>();
+	private static final String CURRENTCORPUSVERSION = "0.8.0";
 
-	/** The projects. */
-	HashMap<String, Project> projects = new HashMap<String, Project>();
+	private static final String NAME = "name";
 
 	/** The xmlfile. */
 	File xmlDefinitionFile;
@@ -96,7 +97,8 @@
 	 */
 	public static Workspace createOrUpdate(File txmhomedir) {
 		//TODO replace this old directory&file with the ".project" Eclipse project configuration file
-		File xmlfile = new File(txmhomedir, "workspaces/default.xml");
+		File workspaceDirectory = new File(txmhomedir, "corpora");
+		File xmlfile = new File(workspaceDirectory, "default.xml");
 
 		try {
 			txmhomedir.mkdirs();
@@ -109,7 +111,7 @@
 			// create folders
 			String createfolders[] = {
 					"corpora", "clipboard", //$NON-NLS-1$ //$NON-NLS-2$
-					"workspaces", "css", "xsl", "schema", "scripts"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+					"css", "xsl", "schema", "scripts"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			String deletefolders[] = {"clipboard"}; //$NON-NLS-1$ //$NON-NLS-2$
 
 			for (String folder : deletefolders) {
@@ -189,7 +191,7 @@
 	 */
 	protected static boolean writeEmptyWorkspaceFile(File xmlfile)
 	{
-		xmlfile.getParentFile().mkdir();
+		xmlfile.getParentFile().mkdirs();
 		try {
 			OutputStreamWriter writer = new OutputStreamWriter(
 					new FileOutputStream(xmlfile), TXMPreferences.DEFAULT_ENCODING);
@@ -223,46 +225,47 @@
 		_load();
 	}
 
-	/**
-	 * Adds the project.
-	 *
-	 * @param name the name
-	 * @return the project
-	 */
-	public Project addProject(String name) {
-		if (projects.containsKey(name))
-			return projects.get(name);
-		Element projRoot = (Element) getSelfElement().getElementsByTagName("projects").item(0); //$NON-NLS-1$
-		Element projElem = doc.createElement("project"); //$NON-NLS-1$
-		projElem.setAttribute("name", name); //$NON-NLS-1$
-		projRoot.appendChild(projElem);
+//	/**
+//	 * Adds the project.
+//	 *
+//	 * @param name the name
+//	 * @return the project
+//	 * @throws IOException 
+//	 * @throws SAXException 
+//	 * @throws ParserConfigurationException 
+//	 */
+//	public Project addProject(String name) throws Exception {
+//		if (projects.containsKey(name))
+//			return projects.get(name);
+//		
+//		File dir = new File(xmlDefinitionFile.getParentFile(), name);
+//		dir.mkdirs();
+//		File paramFile = new File(dir, "import.xml");
+//		BaseParameters.createEmptyParams(paramFile, name);
+//		BaseParameters params = new BaseParameters(paramFile);
+//		
+//		Project project = new Project(this, params);
+//
+//		return project;
+//	}
+//
+//	/**
+//	 * Removes the project.
+//	 *
+//	 * @param name the name
+//	 * @return the project
+//	 */
+//	public Project removeProject(String name) {
+//		Project p = projects.get(name);
+//		if (p != null) {
+//			Element projRoot = (Element) getSelfElement().getElementsByTagName(
+//					"projects").item(0); //$NON-NLS-1$
+//			projRoot.removeChild(p.getSelfElement());
+//			projects.remove("name"); //$NON-NLS-1$
+//		}
+//		return p;
+//	}
 
-		Element baseRoot = doc.createElement("bases"); //$NON-NLS-1$
-		projElem.appendChild(baseRoot);
-
-		Project project = new Project(this, projElem);
-		projects.put(name, project);
-
-		return project;
-	}
-
-	/**
-	 * Removes the project.
-	 *
-	 * @param name the name
-	 * @return the project
-	 */
-	public Project removeProject(String name) {
-		Project p = projects.get(name);
-		if (p != null) {
-			Element projRoot = (Element) getSelfElement().getElementsByTagName(
-					"projects").item(0); //$NON-NLS-1$
-			projRoot.removeChild(p.getSelfElement());
-			projects.remove("name"); //$NON-NLS-1$
-		}
-		return p;
-	}
-
 	/* (non-Javadoc)
 	 * @see org.txm.objects.TxmObject#load()
 	 */
@@ -279,29 +282,42 @@
 			// System.out.println("build projects");
 			// projs = (Element)
 			// selfElement.getElementsByTagName("projects").item(0);
-			NodeList projList = getSelfElement().getElementsByTagName("project"); //$NON-NLS-1$
-			for (int i = 0; i < projList.getLength(); i++) {
-				Element project = (Element) projList.item(i);
-				Project p = new Project(this, project);
-				projects.put(p.getName(), p);
+//			NodeList projList = getSelfElement().getElementsByTagName("project"); //$NON-NLS-1$
+//			for (int i = 0; i < projList.getLength(); i++) {
+//				Element project = (Element) projList.item(i);
+//				Project p = new Project(this, project);
+//				projects.put(p.getName(), p);
+//			}
+			
+			for (File dir : xmlDefinitionFile.getParentFile().listFiles()) {
+				if (!dir.isDirectory()) continue;
+				
+				File paramFile = new File(dir, "import.xml");
+				if (!paramFile.exists()) continue;
+				
+				BaseParameters params = new BaseParameters(paramFile);
+				new Project(this, params);
 			}
 
 			loadMetadata();
 			return true;
 		} catch (Exception e) {
 			System.out.println(TXMCoreMessages.Workspace_2 + e);
-			System.out.println(TXMCoreMessages.Workspace_8);
-			File copyFile = new File(xmlDefinitionFile.getParentFile(), "copy_of_"+xmlDefinitionFile.getName());
-			try {
-				System.out.println("Writing a copy in "+copyFile);
-				FileCopy.copy(xmlDefinitionFile, copyFile);
-			} catch (IOException e1) {
-				System.out.println("Failed to write a copy of "+xmlDefinitionFile);
-				Log.printStackTrace(e1);
-			}
-
-			if (writeEmptyWorkspaceFile(xmlDefinitionFile))
-				return _load();
+			e.printStackTrace();
+			
+//TODO implement this solution or not ?			
+//			System.out.println(TXMCoreMessages.Workspace_8);
+//			File copyFile = new File(xmlDefinitionFile.getParentFile(), "copy_of_"+xmlDefinitionFile.getName());
+//			try {
+//				System.out.println("Writing a copy in "+copyFile);
+//				FileCopy.copy(xmlDefinitionFile, copyFile);
+//			} catch (IOException e1) {
+//				System.out.println("Failed to write a copy of "+xmlDefinitionFile);
+//				Log.printStackTrace(e1);
+//			}
+//
+//			if (writeEmptyWorkspaceFile(xmlDefinitionFile))
+//				return _load();
 			return false;
 		}
 	}
@@ -341,28 +357,12 @@
 	}
 
 	/**
-	 * Describe.
-	 */
-	public void describe() {
-		Workspace w = this;
-		for (Project p : w.projects.values()) {
-			System.out.println(TXMCoreMessages.Workspace_3 + p.getName());
-			for (Base b : p.bases.values()) {
-				System.out.println(TXMCoreMessages.Workspace_4 + b.getName());
-				//				for (MainCorpus c : b.corpora.values()) {
-				//					System.out.println(TXMCoreMessages.Workspace_10+c);
-				//				}
-			}
-		}
-	}
-
-	/**
 	 * Gets the projects.
 	 *
 	 * @return the projects
 	 */
-	public Collection<Project> getProjects() {
-		return projects.values();
+	public ArrayList<Project> getProjects() {
+		return (ArrayList<Project>) getChildren(Project.class);
 	}
 
 	/**
@@ -372,7 +372,12 @@
 	 * @return the project
 	 */
 	public Project getProject(String name) {
-		return projects.get(name);
+		for (Project p : getProjects()) {
+			if (p.getName().equals(name)) {
+				return p;
+			}
+		}
+		return null;
 	}
 
 	/**
@@ -384,44 +389,44 @@
 		return xmlDefinitionFile;
 	}
 
+//
+//	/* (non-Javadoc)
+//	 * @see org.txm.objects.TxmObject#removeChildren(org.txm.objects.TxmObject)
+//	 */
+//	public TxmObject removeChildren(TxmObject o) {
+//		if (o == null) {
+//			return null;
+//		}
+//		if (o instanceof Project) {
+//			Project proj = (Project) o;
+//			getSelfElement().removeChild(proj.getSelfElement());
+//			return projects.remove(((Project) o).getName());
+//		}
+//		return null;
+//	}
+//
+//	/* (non-Javadoc)
+//	 * @see org.txm.objects.TxmObject#hasChildren(org.txm.objects.TxmObject)
+//	 */
+//	public boolean hasChildren(TxmObject o) {
+//		if (o == null) {
+//			return false;
+//		}
+//		if (o instanceof Project) {
+//			return projects.containsKey(((Project) o).getName());
+//		}
+//		return false;
+//	}
+//
+//	/* (non-Javadoc)
+//	 * @see org.txm.objects.TxmObject#getParent()
+//	 */
+//	@Override
+//	public TxmObject getParent() {
+//		return null;
+//	}
 
 	/* (non-Javadoc)
-	 * @see org.txm.objects.TxmObject#removeChildren(org.txm.objects.TxmObject)
-	 */
-	public TxmObject removeChildren(TxmObject o) {
-		if (o == null) {
-			return null;
-		}
-		if (o instanceof Project) {
-			Project proj = (Project) o;
-			getSelfElement().removeChild(proj.getSelfElement());
-			return projects.remove(((Project) o).getName());
-		}
-		return null;
-	}
-
-	/* (non-Javadoc)
-	 * @see org.txm.objects.TxmObject#hasChildren(org.txm.objects.TxmObject)
-	 */
-	public boolean hasChildren(TxmObject o) {
-		if (o == null) {
-			return false;
-		}
-		if (o instanceof Project) {
-			return projects.containsKey(((Project) o).getName());
-		}
-		return false;
-	}
-
-	/* (non-Javadoc)
-	 * @see org.txm.objects.TxmObject#getParent()
-	 */
-	@Override
-	public TxmObject getParent() {
-		return null;
-	}
-
-	/* (non-Javadoc)
 	 * @see org.txm.objects.TxmObject#delete()
 	 */
 	@Override
@@ -429,11 +434,6 @@
 		return false;
 	}
 
-	public static final String DEFAULT = "default";
-	public Project getDefaultProject() {
-		return getProject(DEFAULT);
-	}
-
 	@Override
 	public String getSimpleName() {
 		// TODO Auto-generated method stub
@@ -449,7 +449,6 @@
 	@Override
 	public void clean() {
 		// TODO Auto-generated method stub
-
 	}
 
 	@Override
@@ -461,4 +460,82 @@
 	public File getLocation() {
 		return xmlDefinitionFile.getParentFile().getParentFile(); // this work for now, must be changed when we use properly Eclipse workspaces
 	}
+	
+	/**
+	 * Scan directory: 
+	 * 1- check the binary corpus format
+	 * 2- register in the workspace
+	 *
+	 * @param binCorpusDir the base
+	 * @return the base
+	 * @throws IOException 
+	 * @throws SAXException 
+	 * @throws ParserConfigurationException 
+	 */
+	public Project scanDirectory(File binCorpusDir) throws ParserConfigurationException, SAXException, IOException {
+
+		//System.out.println(Messages.Project_5);
+		File HTMLs = new File(binCorpusDir, "HTML"); //$NON-NLS-1$
+		//File TXMs = new File(binCorpusDir, "txm"); //$NON-NLS-1$
+		File DATAs = new File(binCorpusDir, "data"); //$NON-NLS-1$
+		File REGISTRY = new File(binCorpusDir, "registry"); //$NON-NLS-1$
+		File PARAMS = new File(binCorpusDir, "import.xml"); //$NON-NLS-1$
+
+		if (HTMLs.exists() && DATAs.exists()
+				&& REGISTRY.exists() && PARAMS.exists())// && correspfile.exists())
+		{// minimal base data
+			BaseParameters parameters = new BaseParameters(PARAMS);
+			if (!parameters.load()) {
+				System.out.println(TXMCoreMessages.Project_11+PARAMS);
+				Log.severe(TXMCoreMessages.Project_11+PARAMS);
+				return null;
+			}
+
+//			if (parameters.version == null || parameters.version.length() == 0) {
+//				System.out.println(TXMCoreMessages.Project_14);
+//				return null;
+//			} else if (CURRENTCORPUSVERSION.compareTo(parameters.version) > 0) {
+//				System.out.println(TXMCoreMessages.Project_15);
+//				System.out.println(CURRENTCORPUSVERSION+" > "+parameters.version); //$NON-NLS-1$
+//				return null;
+//			}
+
+			Project p = getProject(parameters.name);
+			if (p != null) {
+				p.delete();
+			}
+
+			//System.out.println(parameters.toString());
+			Project b = new Project(this, parameters);
+
+			//System.out.println("CREATE CORPORA? "+b.corpora.values());
+			for (Element c : parameters.corpora.values()) {
+				String corpusname = c.getAttribute(NAME);
+				//File TXMc = new File(TXMs, corpusname);
+				File HTMLc = new File(HTMLs, corpusname);
+				File REGISTRYc = new File(REGISTRY, corpusname.toLowerCase());
+				File DATAc = new File(DATAs, corpusname);
+
+				if (!(PARAMS.exists() && HTMLc.exists() && REGISTRYc.exists() && DATAc.exists())) {
+					System.out.println(TXMCoreMessages.Project_17+corpusname);
+					System.out.println(TXMCoreMessages.Project_18+PARAMS);
+					System.out.println("HTMLc: "+HTMLc+" : "+HTMLc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println("REGISTRYc: "+REGISTRYc+" : "+REGISTRYc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println("DATAc: "+DATAc+" : "+DATAc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
+					continue;
+				}
+			}
+
+			return b;
+		} else {
+			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.Project_26, binCorpusDir));
+			System.out.println(TXMCoreMessages.Project_28+HTMLs+", "+DATAs+", "+REGISTRY+TXMCoreMessages.Project_31+PARAMS); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-1$
+		}
+		return null;
+	}
+
+	public File getDirectory() {
+		return xmlDefinitionFile.getParentFile();
+	}
+
 }
Index: tmp/org.txm.core/src/java/org/txm/objects/BaseParameters.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/BaseParameters.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/BaseParameters.java	(revision 1038)
@@ -91,7 +91,7 @@
 		writer.close();
 	}
 	
-	public static String getBaseName(File paramfile) throws ParserConfigurationException, SAXException, IOException {
+	public static String getProjectName(File paramfile) throws ParserConfigurationException, SAXException, IOException {
 		Document root = DomUtils.load(paramfile);
 		return root.getDocumentElement().getAttribute("name");
 	}
Index: tmp/org.txm.core/src/java/org/txm/objects/CorpusParameters.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/CorpusParameters.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/CorpusParameters.java	(revision 1038)
@@ -248,11 +248,11 @@
 				String from = split[1].trim();
 				String to = split[2].trim();
 
-				Alignement align = new Alignement(this.corpus.getBase(), from, to, 
+				Alignement align = new Alignement(this.corpus.getProject(), from, to, 
 						link.getAttribute("alignElement"), Integer.parseInt(link.getAttribute("alignLevel")));
 				links.put("#"+from+" #"+to, align);
 				
-				align = new Alignement(this.corpus.getBase(), to, from, 
+				align = new Alignement(this.corpus.getProject(), to, from, 
 						link.getAttribute("alignElement"), Integer.parseInt(link.getAttribute("alignLevel")));
 				links.put("#"+to+" #"+from, align);
 
Index: tmp/org.txm.core/src/java/org/txm/objects/BasePreferenceScope.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/BasePreferenceScope.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/BasePreferenceScope.java	(revision 1038)
@@ -15,7 +15,7 @@
 	 */
 	public static final String SCOPE = "binarycorpus"; //$NON-NLS-1$
 
-	private Base context;
+	private Project context;
 	
 	public BasePreferenceScope() {
 		
@@ -28,7 +28,7 @@
 	 * @param context the project
 	 * @exception IllegalArgumentException if the project is <code>null</code>
 	 */
-	public BasePreferenceScope(Base context) {
+	public BasePreferenceScope(Project context) {
 		super();
 		if (context == null) {
 			throw new IllegalArgumentException("NULL context");
@@ -53,7 +53,7 @@
 	 */
 	@Override
 	public IPath getLocation() {
-		Path location = new Path(context.getBaseDirectory().getAbsolutePath());
+		Path location = new Path(context.getProjectDirectory().getAbsolutePath());
 		System.out.println("LOCATION: "+location);
 		return location == null ? null : location.append(EclipsePreferences.DEFAULT_PREFERENCES_DIRNAME);
 	}
Index: tmp/org.txm.core/src/java/org/txm/objects/Script.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Script.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/Script.java	(revision 1038)
@@ -62,7 +62,7 @@
 	}
 
 	/** The base. */
-	Base base;
+	Project base;
 	
 	/** The type. */
 	String type;
@@ -73,7 +73,7 @@
 	 * @param b the b
 	 * @param script the script
 	 */
-	public Script(Base b, Element script) {
+	public Script(Project b, Element script) {
 		super(b);
 		this.setPath(b.getPath() + getName());
 		setSelfElement(script);
@@ -86,7 +86,7 @@
 	 *
 	 * @return the base
 	 */
-	public Base getBase() {
+	public Project getProject() {
 		return base;
 	}
 
Index: tmp/org.txm.core/src/java/org/txm/objects/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 1037)
+++ tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 1038)
@@ -58,7 +58,7 @@
 	private static final long serialVersionUID = 6906032980183899327L;
 
 	/** The base. */
-	private Base base;
+	private Project base;
 
 	/** The texts element. */
 	Element textsElement;
@@ -164,7 +164,7 @@
 	 * @param base the base
 	 * @param c the c
 	 */
-	public Corpus(Base base, Element c, String uuid) {
+	public Corpus(Project base, Element c, String uuid) {
 		super(uuid, base);
 		this.persistable = true;
 		this.userPersistable = false;
@@ -555,7 +555,7 @@
 	 * @return true, if successful
 	 */
 	public boolean export(File exportzip, IProgressMonitor monitor) {
-		File binarydir = this.getBaseDirectory();
+		File binarydir = this.getProjectDirectory();
 		if (binarydir.exists() && exportzip.getParentFile().exists()) {
 			try {
 				Zip.compress(binarydir, exportzip, monitor);
@@ -577,10 +577,10 @@
 	 *
 	 * @return the base directory
 	 */
-	public File getBaseDirectory()
+	public File getProjectDirectory()
 	{
 		String txmhome = Toolbox.getTxmHomePath();
-		Base base = this.getBase();
+		Project base = this.getProject();
 		if (base != null)
 			return base.params.paramFile.getParentFile();
 		//return new File(new File(txmhome,"corpora"), getName());
@@ -778,7 +778,7 @@
 						//String id = ref.substring(5);
 						HashMap<String, String> infos = sAttributesInfos.get(ref);
 						if (infos == null) {
-							Log.warning("Malformed sattribute tag in "+this.getBase().getBaseParameters().paramFile+" at uis/command/selection: could not find s-attribute informations for @ref="+ref);
+							Log.warning("Malformed sattribute tag in "+this.getProject().getProjectParameters().paramFile+" at uis/command/selection: could not find s-attribute informations for @ref="+ref);
 						}
 						//System.out.println("REF: "+ref+" infos: "+infos);
 						if (infos != null)
@@ -1035,15 +1035,6 @@
 	 * @return the project
 	 */
 	public Project getProject() {
-		return base.getProject();
-	}
-
-	/**
-	 * Gets the base.
-	 *
-	 * @return the base
-	 */
-	public Base getBase() {
 		return base;
 	}
 
